//
// Copyright 2014 Perforce Software Inc.
//

using Perforce.P4;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Perforce.View {
    /// <summary>
    /// Interaction logic for ChangelistDetails.xaml
    /// </summary>
    public partial class ChangelistDetails : Window {
        public ChangelistDetails(Changelist change) {
            InitializeComponent();
            ChangelistLabel.Content = string.Format("Changelist @{0}", change.Id);
            Description.Text = change.Description;
            ModDate.Content = change.ModifiedDate.ToString();
            var list = new List<TableRow>();
            foreach (var f in change.Files) {
                list.Add(new TableRow { Path = f.DepotPath.Path, Action = f.Action.ToString() });
            }
            Files.ItemsSource = list;
        }
    }

    public class TableRow {
        public string Path { get; set; }
        public string Action { get; set; }
    }
}
